Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.faces.component
Interface ActionSource

All Known Implementing Classes:
  UICommand

public interface ActionSource

Version:
  $Revision: 166994 $ $Date: 2004-07-01 18:12:40 -0400 (Thu, 01 Jul 2004) $
Author:
  Manfred Geiler (latest modification by $Author: mwessendorf $)

Method Summary
`void` | `addActionListener(ActionListener listener)`
`MethodBinding` | `getAction()`
`MethodBinding` | `getActionListener()`
`ActionListener[]` | `getActionListeners()`
`boolean` | `isImmediate()`
`void` | `removeActionListener(ActionListener listener)`
`void` | `setAction(MethodBinding action)`
`void` | `setActionListener(MethodBinding actionListener)`
`void` | `setImmediate(boolean immediate)`

Method Detail

### getAction

    public MethodBinding getAction()

### setAction

    public void setAction(MethodBinding action)

### getActionListener

    public MethodBinding getActionListener()

### setActionListener

    public void setActionListener(MethodBinding actionListener)

### isImmediate

    public boolean isImmediate()

### setImmediate

    public void setImmediate(boolean immediate)

### addActionListener

    public void addActionListener(ActionListener listener)

### getActionListeners

    public ActionListener[] getActionListeners()

### removeActionListener

    public void removeActionListener(ActionListener listener)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD